#!/usr/bin/env python

'''
-------------------------------------------------------------------------------
    Copyright  (C) 2004, Oreste Notelli <oreste.notelli@sischema.com>          
                                                                            
    This program is free software; you can redistribute it and/or modify      
    it under the terms of the GNU General Public License as published by      
    the Free Software Foundation; either version 2 of the License, or         
    (at your option) any later version.                                       
                                                                            
    This program is distributed in the hope that it will be useful,           
    but WITHOUT ANY WARRANTY; without even the implied warranty of            
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             
    GNU Library General Public License for more details.                      
                                                                            
    You should have received a copy of the GNU General Public License     
    along with this program; if not, write to the 
    Free Software Foundation, Inc.,                                       
    59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             

    Sischema s.r.l.
    via Sebenico, 22
    20124 Milano - Italia
    tel-fax: (+39)0266823882
-------------------------------------------------------------------------------
'''

__version__ = "0.0.1"
__author__  = "Oreste Notelli <oreste.notelli@sischema.com>"

import feeds
import extractors
import GNUsTicker
import gtk

class element(GNUsTicker.news):
    def __init__(self, title, description):
        GNUsTicker.news.__init__(self, title, description)
    def action(self):
        m = gtk.MessageDialog(message_format=self.description)
        m.show()
        
class feed(feeds.feed):
    def __init__(self, type_name, dictionary):
        feeds.feed.__init__(  self, 
                        name = dictionary["name"], 
                        timer = dictionary["refresh"]*1000)
        d = dictionary
        self.__url_to_parse = d["url"]
        self.properties = d
        self.__type = type()
        self.type_name = type_name
    def parse(self):
        print("parsing")
        elements = []
        for counter in range(10):
            e = element("title-"+str(counter), "description-"+str(counter))
            elements.append(e)
        print("parsed")
        return feeds.product (self.name(), self.name(), elements)

class type:
    def __init__(self):
        self.properties = \
        {\
            "name": str("New Name"),
            "refresh": int(1200),
            "url": str()
        }
    def create_instance(self, properties =None):
        if (properties == None): 
            return feed(self.name, self.properties.copy())
        else:
            return feed(self.name, properties)

print "hello"
